/*
 * Copyright (C) 2003 Patrick Reynolds <reynolds@cs.duke.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 *      Free Software Foundation, Inc.
 *      59 Temple Place
 *      Suite 330
 *      Boston, MA 02111-1307
 *      USA
 */

#ifndef PGPF_H
#define PGPF_H

#include <stdio.h>

#define COMPR_NONE 0x00FF
#define COMPR_RLE  0x0001

#define IMG_THUMB  1000
#define IMG_MAIN   1100

typedef struct _Image Image;
struct _Image {
	int id, width, height, bpp, tilesize, compr, frameid, paletteid;
};

typedef struct _Frame Frame;
struct _Frame {
	int id, nframes, *tileid;
};

typedef struct _Tile Tile;
struct _Tile {
	int id, pos, length;
	unsigned char *data;
};

unsigned int readint(FILE *ifp, int len);
void writeint(FILE *ofp, int n, int len);

#endif
